Package org.apache.commons.imaging.formats.tiff.constants

# Class TiffConstants

java.lang.Object
org.apache.commons.imaging.formats.tiff.constants.TiffConstants

public final class TiffConstants extends Object
Defines constants for internal elements from TIFF files and for allowing applications to define parameters for reading and writing TIFF files.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COMPRESSION_CCITT_1D`
  `static final int`
  `COMPRESSION_CCITT_GROUP_3`
  `static final int`
  `COMPRESSION_CCITT_GROUP_4`
  `static final int`
  `COMPRESSION_DEFLATE_ADOBE`
  `static final int`
  `COMPRESSION_DEFLATE_PKZIP`
  `static final int`
  `COMPRESSION_JPEG`
  `static final int`
  `COMPRESSION_JPEG_OBSOLETE`
  `static final int`
  `COMPRESSION_LZW`
  `static final int`
  `COMPRESSION_PACKBITS`
  `static final int`
  `COMPRESSION_UNCOMPRESSED`
  `static final int`
  `COMPRESSION_UNCOMPRESSED_1`
  `static final int`
  `COMPRESSION_UNCOMPRESSED_2`
  `static final ByteOrder`
  `DEFAULT_TIFF_BYTE_ORDER`
  `static final int`
  `DIRECTORY_FOOTER_LENGTH`
  `static final int`
  `DIRECTORY_HEADER_LENGTH`
  `static final int`
  `ENTRY_LENGTH`
  `static final int`
  `ENTRY_LENGTH_BIG`
  `static final int`
  `ENTRY_MAX_VALUE_LENGTH`
  `static final int`
  `ENTRY_MAX_VALUE_LENGTH_BIG`
  `static final int`
  `FLAG_T4_OPTIONS_2D`
  `static final int`
  `FLAG_T4_OPTIONS_FILL`
  `static final int`
  `FLAG_T4_OPTIONS_UNCOMPRESSED_MODE`
  `static final int`
  `FLAG_T6_OPTIONS_UNCOMPRESSED_MODE`
  `static final int`
  `HEADER_SIZE`
  `static final int`
  `LZW_COMPRESSION_BLOCK_SIZE_LARGE`
  Specifies a larger strip-size to be used for compression.
  `static final int`
  `LZW_COMPRESSION_BLOCK_SIZE_MEDIUM`
  Specifies a larger strip-size to be used for compression.
  `static final int`
  `VERSION_BIG`
  `static final int`
  `VERSION_STANDARD`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_TIFF_BYTE_ORDER

    public static final ByteOrder DEFAULT_TIFF_BYTE_ORDER

  - ### VERSION_STANDARD

    public static final int VERSION_STANDARD
    See Also:
      - Constant Field Values

  - ### VERSION_BIG

    public static final int VERSION_BIG
    See Also:
      - Constant Field Values

  - ### HEADER_SIZE

    public static final int HEADER_SIZE
    See Also:
      - Constant Field Values

  - ### DIRECTORY_HEADER_LENGTH

    public static final int DIRECTORY_HEADER_LENGTH
    See Also:
      - Constant Field Values

  - ### DIRECTORY_FOOTER_LENGTH

    public static final int DIRECTORY_FOOTER_LENGTH
    See Also:
      - Constant Field Values

  - ### ENTRY_LENGTH

    public static final int ENTRY_LENGTH
    See Also:
      - Constant Field Values

  - ### ENTRY_MAX_VALUE_LENGTH

    public static final int ENTRY_MAX_VALUE_LENGTH
    See Also:
      - Constant Field Values

  - ### ENTRY_LENGTH_BIG

    public static final int ENTRY_LENGTH_BIG
    See Also:
      - Constant Field Values

  - ### ENTRY_MAX_VALUE_LENGTH_BIG

    public static final int ENTRY_MAX_VALUE_LENGTH_BIG
    See Also:
      - Constant Field Values

  - ### COMPRESSION_UNCOMPRESSED_1

    public static final int COMPRESSION_UNCOMPRESSED_1
    See Also:
      - Constant Field Values

  - ### COMPRESSION_UNCOMPRESSED

    public static final int COMPRESSION_UNCOMPRESSED
    See Also:
      - Constant Field Values

  - ### COMPRESSION_CCITT_1D

    public static final int COMPRESSION_CCITT_1D
    See Also:
      - Constant Field Values

  - ### COMPRESSION_CCITT_GROUP_3

    public static final int COMPRESSION_CCITT_GROUP_3
    See Also:
      - Constant Field Values

  - ### COMPRESSION_CCITT_GROUP_4

    public static final int COMPRESSION_CCITT_GROUP_4
    See Also:
      - Constant Field Values

  - ### COMPRESSION_LZW

    public static final int COMPRESSION_LZW
    See Also:
      - Constant Field Values

  - ### COMPRESSION_JPEG_OBSOLETE

    public static final int COMPRESSION_JPEG_OBSOLETE
    See Also:
      - Constant Field Values

  - ### COMPRESSION_JPEG

    public static final int COMPRESSION_JPEG
    See Also:
      - Constant Field Values

  - ### COMPRESSION_UNCOMPRESSED_2

    public static final int COMPRESSION_UNCOMPRESSED_2
    See Also:
      - Constant Field Values

  - ### COMPRESSION_PACKBITS

    public static final int COMPRESSION_PACKBITS
    See Also:
      - Constant Field Values

  - ### COMPRESSION_DEFLATE_PKZIP

    public static final int COMPRESSION_DEFLATE_PKZIP
    See Also:
      - Constant Field Values

  - ### COMPRESSION_DEFLATE_ADOBE

    public static final int COMPRESSION_DEFLATE_ADOBE
    See Also:
      - Constant Field Values

  - ### FLAG_T4_OPTIONS_2D

    public static final int FLAG_T4_OPTIONS_2D
    See Also:
      - Constant Field Values

  - ### FLAG_T4_OPTIONS_UNCOMPRESSED_MODE

    public static final int FLAG_T4_OPTIONS_UNCOMPRESSED_MODE
    See Also:
      - Constant Field Values

  - ### FLAG_T4_OPTIONS_FILL

    public static final int FLAG_T4_OPTIONS_FILL
    See Also:
      - Constant Field Values

  - ### FLAG_T6_OPTIONS_UNCOMPRESSED_MODE

    public static final int FLAG_T6_OPTIONS_UNCOMPRESSED_MODE
    See Also:
      - Constant Field Values

  - ### LZW_COMPRESSION_BLOCK_SIZE_MEDIUM

    public static final int LZW_COMPRESSION_BLOCK_SIZE_MEDIUM
    Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
    See Also:
      - Constant Field Values

  - ### LZW_COMPRESSION_BLOCK_SIZE_LARGE

    public static final int LZW_COMPRESSION_BLOCK_SIZE_LARGE
    Specifies a larger strip-size to be used for compression. This setting generally produces smaller output files, but requires a slightly longer processing time. Used in conjunction with the PARAM_KEY_LZW_COMPRESSION_STRIP_SIZE
    See Also:
      - Constant Field Values